declare module BA.Ui.Calendar {
    class CalendarTools {
        private static permissions;
        private static GetDataSourcesAsArray;
        private static GetDataSourcesAsString;
        private static GetGridGuid;
        private static GetSelectedRowCount;
        private static GetSelectedKeysOnPage;
        private static GetBAProperties;
        private static CanCreateNew;
        private static IsFilterConfigured;
        private static IsFilterActive;
        private static InitFilterIcon;
        private static UpdateFilterIconState;
        private static FixDateFormat;
        private static ScrollToFirstAppt;
        private static UpdateVisibleTimeScale;
        private static UpdateEnabledTimeScale;
        private static HandleDragDropAndResize;
        private static HandleStatusOrLabelChanges;
        /**
         * handle delete of appointments (or create 'delete exception')
         *
         * @param this      This client scheduler
         * @param callback  A potential callback (for a mass operation e.g.)
         */
        private static HandleDelete;
        private static OpenRecordClientAction;
        private static IsAnySelectedRecurring;
        private static AdjustHeight;
        /**
         * Get the callback panel adjusted to the widget size
         * @param idPrefix id prefix of calendar
         * @param menuHeight height of the corresponding detailMenu
         * @returns The callback panel which has been adjusted to fit the widget
         */
        private static GetAdjustedCBPForWidget;
        private static CreateAppointment;
        static CreateAppointmentCallback(event: any, customData: CustomData): void;
        private static FinishAppointment;
        /**
         * Adds methods and properties to the given scheduler object.
         *
         * @param scheduler the scheduler to initialize
         */
        static InitializeCalendarView(scheduler: BAClientScheduler): void;
        static OpenSettingsDialog(this: BAClientScheduler): void;
        static OpenAppointment(formGuid: string, appointmentId: string, openBehavior: string): void;
        static CloneAppointment(appointmentId: string, index: string, formGuid: string, configuration: string, allday: boolean, start: Date, end: Date, resourceValue: string, openBehavior: string): void;
        static GetAppointmentInterval(interval: ASPxClientTimeInterval, activeViewType: string, allDay: boolean): ASPxClientTimeInterval;
        static OpenFilterDialog(schedulerName: string): void;
        static RemoveFilterInDialog(button: BA.Ui.Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
        static UnselectAll(this: BAClientScheduler): void;
        static LoadPermissionsForScheduler(this: BAClientScheduler): void;
        static LoadPermissionsForAppointments(appts: BA.Ui.Models.AppointmentModel[]): void;
        static UpdatePermission(appointment: BAClientAppointment): void;
        static ShowFilterTooltip(schedulerName: string): void;
        static HideFilterTooltip(): void;
        static CanEdit(appointment: BAClientAppointment): boolean;
        static ShowPermissionError(amount?: number): void;
        private static GetTimeScaleGuidFromString;
        private static ShowError;
    }
}
