declare module BA.Ui {
    class DragAndDrop {
        static CreateRibbonItemDropZone(item: any, customData: CustomData): void;
        static CreateRibbonDropDownTimer(item: any): void;
        static ClosePopupTimer: any;
        static ItemOfPopup: any;
        static OneActionGuid: string;
        static OneActionFallback: string;
        static MoreActionsGuid: string;
        static MoreActionsFallback: string;
        private static _DropZoneDiv;
        private static _EnterLock;
        private static _BodyClickAdded;
        private static FileBeingDragged;
        /**
         * Event when entering the DnD area
         * @param evt Event
         */
        static FileDnDEnter(evt: DragEvent): void;
        private static CalculateItemsVisibility;
        /**
         * Event on leaving the DnD area.
         * @param evt Event
         */
        static FileDnDLeave(evt: any): void;
        /**
         * Event on dragging over the DnD area.
         * @param evt Event
         */
        static FileDnDDragover(evt: DragEvent): void;
        /**
         * Event on dragging over the dropzone.
         * @param evt Event
         */
        static EmptyDragging(evt: DragEvent): void;
        /**
         * Event of dropping the file on the DnD area.
         * @param evt Event
         */
        static FileDnDDrop(evt: DragEvent): void;
        /**
         * Event when popup item is clicked.
         * @param s Popup
         * @param e Event
         */
        static PopupItemClick(s: ASPxClientMenuBase, e: ASPxClientMenuItemClickEventArgs): void;
        static ExecuteAction(popup: any, name: string): void;
        /**
         * Event when popup closes
         * @param s Popup
         * @param e Event
         */
        static PopupCloseUp(s: ASPxClientMenuBase, e: ASPxClientMenuItemEventArgs): void;
        private static _FocusTimer;
        /**
         * Focus the tab
         * @param s Element over which drag is happening
         */
        static FocusTab(s: JQueryEventObject): void;
        private static FocusTheTab;
        /**
         * Attach drag events to tabs in form and forms in (orm)dialogs
         * */
        static AttachTabChangeInForm(): void;
        /**
         * Starts the scroll of tabs on drag over
         * @param s Scroll arrow
         */
        static StartScroll(s: JQueryEventObject): void;
        /**
         * Ends the scroll of tabs on drag out
         * @param s Scroll arrow
         */
        static EndScroll(s: JQueryEventObject): void;
        /**
         * Triggers the given mouse action on the node
         * @param node Element on which the event should be performed
         * @param eventType Event to perform
         */
        static TriggerMouseEvent(node: any, eventType: any): void;
        /**
         * Focus left the tab, stop the timer for tab focus
         * @param s Element which was left
         */
        static FocusOut(s: JQueryEventObject): void;
        /**
         * While dragging file over an element
         * @param s
         */
        static FocusOver(s: JQueryEventObject): void;
    }
}
