declare module BA.Ui.Grid {
    /**
     * Class used for all actions performed by GridStyleConfigurationEvents
     * */
    class GridStyleConfigurationEvents {
        /**
         * name of configuration Field
         * */
        private static FieldName;
        /**
         * Name of Formula field
         * */
        private static DescriptionFieldName;
        /**
         * Name of Formula field
         * */
        private static FormulaFieldName;
        /**
         * Name of style option field
         * */
        private static StyleOptionFieldName;
        /**
         * Name of style value field
         * */
        private static StyleValueFieldName;
        /**
         * Control to focus on if neccessary
         * */
        private static FocusControlName;
        /**
         * Type of the dialog
         * */
        private static DialogType;
        /**
         * Open the column style dialog and set the configuration field name
         * */
        static OpenGridStyleConfigurationDialog(s: BAClientButtonProperty): void;
        /**
         * Function to be called when the dialog is either initialized or refreshed
         * */
        static InitDialog(sender: BAClientPopupControl): void;
        /**
         * Add conditional style rule to dialog
         * */
        static OnConditionalStyleAddClick(s: any): void;
        /**
         * remove conditional style rule from dialog
         * */
        static OnConditionalStyleRemoveClick(s: any): void;
        /**
         * add single style rule to dialog
         * */
        static OnStyleRuleAddClick(s: any): void;
        /**
         * remove single style rule from dialog
         * */
        static OnStyleRuleRemoveClick(s: any): void;
        /**
         * Set field values to previous values
         * */
        private static SetFieldValues;
        /**
         * function that is called when style option field is changed
         * empties corresponding value and refreshes the dialog
         * */
        static OnStyleOptionChanged(s: any, e: any): void;
        /**
         * Helper function to set value to value field
         * */
        private static SetStyleValueToAnyControl;
    }
}
