declare module BA.Ui {
    class OfficeHelper {
        static readonly FILE_EXTENSIONS_WORD: Array<string>;
        static readonly FILE_EXTENSIONS_EXCEL: Array<string>;
        static readonly FILE_EXTENSIONS_PDF: Array<string>;
        static readonly FILE_EXTENSIONS_ALL: Array<string>;
        /**
         * Determines if a given file extension or full file name belongs to a Word-like type
         * @param fileNameOrExtension   The full file name or the file extension to check
         * @returns TRUE if the given file name or extension belongs to a Word-like type
         */
        static IsWord(fileNameOrExtension: string): boolean;
        /**
         * Determines if a given file extension or full file name belongs to a Excel-like type
         * @param fileNameOrExtension   The full file name or the file extension to check
         * @returns TRUE if the given file name or extension belongs to a Excel-like type
         */
        static IsExcel(fileNameOrExtension: string): boolean;
        /**
         * Determines if a given file extension or full file name belongs to a PDF type
         * @param fileNameOrExtension   The full file name or the file extension to check
         * @returns TRUE if the given file name or extension belongs to a PFD type
         */
        static IsPDF(fileNameOrExtension: string): boolean;
    }
}
