declare module BA.Ui.TabController {
    class TabEvents {
        /**
         * The guid of the tab for the last clicked tab header.
         */
        private static _clickedTabGuid;
        /**
         * Function executed on initialization of the tab
         */
        static OnInit(): void;
        /**
         * Handler of the click event of the tab list button
         * @param e event object
         */
        static OnTabListButtonClick(e: any): void;
        /**
         * Handler of the click event of the tab content settings button
         * @param e event object
         */
        static OnTabBarCommandButtonClick(e: any): void;
        /**
        * Attaches the necessary UI event handlers to the tab header given.
        * @param tab: jquery selector to which the event handlers will be attached.
        */
        static SetEventHandlersForTab(tab: JQuery): void;
        /**
         * Remove the event handlers that were attached in the "SetEventHandlersForTab" method.
         * @param tab: jquery object to which the event handlers will be attached.
         */
        static RemoveEventHandlersForTab(tab: JQuery): void;
        static OnTabMouseDown(e: JQueryMouseEventObject): void | boolean;
        static OnTabMouseUp(e: JQueryMouseEventObject): void | boolean;
        static OnPopupMenuPopup(s: ASPxClientMenuBase, e: ASPxClientMenuItemEventArgs): void;
        static OnPopupMenuCloseup(s: ASPxClientMenuBase, e: ASPxClientMenuItemEventArgs): void;
        static OnPopupMenuItemClick(s: ASPxClientMenuBase, e: ASPxClientMenuItemClickEventArgs): void;
    }
}
