declare module BA.Ui {
    class UISettingsUtils {
        /**
         * Get UI settings by key
         * @param key the key of the data to get
         * @param functionOnDone fonction to be called on done
         * @param functionOnError function to be called on error
         */
        static GetUISetting(key: string, onDone?: (response: any) => void, onError?: (response: any) => void): any;
        /**
         * Remove UI Settings
         * @param key the key of the data to be removed
         * @param functionOnDone function to be called on done
         * @param functionOnError function to be called on error
         */
        static RemoveUISetting(key: string, onDone?: (response: any) => void, onError?: (response: any) => void): any;
        /**
         * Set UI Settings
         * @param key the key of the data to be saved
         * @param value the data to be saved
         * @param functionOnDone function to be called on done
         * @param functionOnError function to be called on error
         */
        static SetUISetting(key: string, value: any, onDone?: (response: any) => void, onError?: (response: any) => void): JQueryPromise<any>;
    }
}
