declare module BA.Ui.Widgets {
    /** Class for RecentlyUsed Widget */
    class RecentlyUsedWidget extends ListWidget {
        /**
         * Initializes the recently used widget.
         */
        Init(): void;
        Refresh(blockWidget?: boolean, async?: boolean): void;
        Unload(tabClosing?: boolean): void;
        /**
         * Attach the events needed for the drag and drop interaction of google maps widgets.
         */
        AttachDragAndDropEvents(): void;
        OnContentLoaded(): void;
        /**
         * Open item from View
         * @param s
         * @param e
         */
        static OpenItemFromView(s: ASPxClientControlBase, e: any): void;
        /**
         * Open Recently Used item
         * @param formId Id of the form
         * @param oid OID of item
         * @param openInDialog Open form in Dialog?
         * @param fromView Open from View?
         */
        static OpenItem(formId: string, oid: string, openInDialog: string, fromView?: boolean, edit?: boolean): void;
        static OnEditIconClicked(s: HTMLElement, formId: string, oid: string, openInDialog: string, fromView?: boolean, edit?: boolean): void;
        /**
         * Show or hide Show More button in Recently Used Widget on Resize
         * @param widget The Recently Used Widget
         */
        private ShowHideShowMore;
        /**
 * Method to determine whether the edit-RowAction should be shown or not. This is called per row.
 *
 * @param action The action in question
 * @param data The row data for helping to decide
 */
        static RowActionVisible(action: BA.Ui.ClientSideControls.List.ListRowAction, data: CustomData): boolean;
    }
}
